import apiClient from "./apiClient";
import {ShippingWarehouse} from "../types/shippingWarehouse";
import {City} from "../types/city";

const router = '/general';

const generalApi = {
    getShippingWarehouses: async (): Promise<ShippingWarehouse[]> => {
        let response = await apiClient.get(`${router}/getShippingWarehouses`);
        return response.data;
    },
    getCities: async (): Promise<City[]> => {
        let response = await apiClient.get(`${router}/getCities`);
        return response.data;
    }
}
export default generalApi;